function A = ComputeShifts3D(Sensors,Directions,Wavelength)

ns = size(Sensors,2);
nd = size(Directions,2);

A = zeros(ns,nd);

for i=1:ns
   s = Sensors(:,i);
   for j=1:nd
      d      = Directions(:,j);
      phase  = d'*s / Wavelength;
      A(i,j) = exp(sqrt(-1) * 2*pi * phase);
   end
end

