function h = PlotSphereSignal(Directions,Signal);

X = Directions;
SignalPower = abs(Signal);

K = convhulln(X'); h = zeros(1,size(K,1));
for j=1:size(K,1);
   idx = K(j,:);
   h(j) = patch(X(1,idx),X(2,idx),X(3,idx),SignalPower(idx),'FaceColor','interp');
end

hold on;
plot3(cos(linspace(0,2*pi,101))*1.01,sin(linspace(0,2*pi,101))*1.01,zeros(1,101),'k-');
hold off;
xlim([-1.03,1.03]); ylim([-1.03,1.03]); zlim([0,1]);

