function op = spottify(A)
% SPOTTIFY  Convert argument to Spot operator
%
%    OP = SPOTTIFY(A) returns opMatrix(A) unless A is already an opSpot.
%

if isa(A,'opSpot')
   op = 1 * A;
else
   op = opMatrix(A);
end

