function ExportFigureEPS(prefix,filename)
% EXPORTFIGUREEPS   Exports figure in EPS format
%
%   EXPORTFIGUREEPS(PREFIX,FILENAME)  exports the current figure to the
%   EPS file given by FILENAME in the PREFIX directory.

p = pwd;
try
   cd(prefix);

   cmd = sprintf('print -depsc %s',filename);
   eval(cmd);
catch
   fprintf('Warning: Could not export %s\n', filename);
end
cd(p);
